#ifndef CPROCESS_UNLOAD_H
#define CPROCESS_UNLOAD_H
#include "cprocess.h"
class CProcessUnload : public CProcess {
public:
    void MoveToSafePos();
    void MoveToWaitPos();
    void MoveToRailPos();
    void MoveToWtPos();

    void MoveToTop();
    void MoveToBottomRail();
    void MoveToBottomWt();

    void PickUpFromWt();
    void PickUpFromRail();
    void PutDownToWt();
    void PutDownToRail();
public:
    enum msg_id {
        kProcessUnloadMsg=MAX_PROCESS_MSG_ID,
        kMaxProcessUnloadMsg,
    };
    void do_msg(int iID, QVariantList& vlInput, V_MsgOutput* pvlOutput) override;

private:

};

#endif // CPROCESS_UNLOAD_H
